macOS Catalina compatibility

System configuration, maintenance and utilities
User avatar
Fikonhjul
Posts: 33
Joined: 05 Jul 2003, 03:01
Location: Sweden
Contact:

Re: macOS Catalina compatibility

Post by Fikonhjul » 05 Oct 2019, 10:40

iZotope

https://support.izotope.com/hc/en-us/articles/360035354414-macOS-Catalina-Compatibility
We recommend that iZotope users continue to remain on current macOS versions until further notice as iZotope Products are not yet qualified for use in macOS Catalina (Version 10.15).

More information will be available following the release of the new macOS. Please check back here for updates.
Main stuff: ProTools since 1991, Logic since 2003. Now on Logic Pro X. A labor of love: Vild i min mun

User avatar
G
Owner/Admin
Posts: 1983
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 06 Oct 2019, 17:47

Eventide

https://www.eventideaudio.com/community ... pport-info
Eventide plugins are currently not supported under macOS 10.15. We are conducting systematic tests and there are several known issues that we are working on resolving. Please do not install macOS 10.15 if you are using Eventide plugins.

Visit our Catalina Forum thread regularly to obtain up-to-date information on macOS 10.15 support.
Update 18 Nov 2019

(via email)
All Eventide Plug-ins are now compatible with macOS 10.15 Catalina.

GET LATEST INSTALLERS
MacBook Pro 15" (2016) . UA Apollo x6 + Quad . macOS Catalina . Logic Pro X . TwistedWave . FCPX . PS CC . Affinity Suite . Get Info

User avatar
G
Owner/Admin
Posts: 1983
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 06 Oct 2019, 17:55

Metric Halo

https://mhsecure.com/3dEarlyAccess/3dTopTen.html#i3
MIO Console 3d is 64-bit today and ready for the soon to be released macOS Catalina (10.15) and beyond; macOS Catalina will not support 2d and Legacy boxes. Bucking the industry trend of planned obsolescence, we have made sure all Metric Halo customers have an upgrade path for their original legacy and 2d gear.

MIO Console 3d and the MHLink CoreAudio Driver work on all versions of macOS from v.10.8.5 up to the current 10.15 public beta. The 3d software is built on a firm foundation for the future. The 3d Upgrade connects to the computer using modern, up-to-date and well-supported connection technologies including Ethernet and USB.

In contrast, our 2d products require the use of an end-of-life computer connection technology (FireWire). Development has ended for our 2d and Legacy products. While we will continue to provide tech support for these products, there will be no new software releases for 2d.

MIO Console v5 will not run on Apple's upcoming macOS Catalina (10.15). macOS Catalina requires 64-bit applications.
MacBook Pro 15" (2016) . UA Apollo x6 + Quad . macOS Catalina . Logic Pro X . TwistedWave . FCPX . PS CC . Affinity Suite . Get Info

User avatar
G
Owner/Admin
Posts: 1983
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 16:00

MOTU

https://motu.com/en-us/news/motu-and-macos-catalina/
Digital Performer 9.52 and 10.x appear to be compatible with macOS Catalina, although final compatibility testing is still on-going. Earlier versions of DP are not officially qualified for macOS Catalina.
MachFive, Ethno Instrument, BPM, Electric Keys and Symphonic Instrument appear to be compatible with macOS Catalina, in the same fashion they have been compatible with other recent macOS versions. Be sure to download and install the latest License Manager from iLok.com. Final compatibility testing is still on-going.
See the linked web page for complete details on what is and isn't compatible so far.
MacBook Pro 15" (2016) . UA Apollo x6 + Quad . macOS Catalina . Logic Pro X . TwistedWave . FCPX . PS CC . Affinity Suite . Get Info

User avatar
G
Owner/Admin
Posts: 1983
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 16:03

PSP Audioware

(via email)
As you may have heard, Apple plans to release macOS 10.15 Catalina today. We strongly recommend you remain on your current version of macOS until we have a chance to fully test our plug-ins with the official, final release of the new system.
Update 16 Jan 2020
First of all if you are attending the Wiinter NAMM show that begins today please visit our new booth #18714. We will be unvailing a new plug-in which we have been working for several years. Stay tuned!

Also: we want to officially confirm that all our plugins are fully compatible with macOS Catalina.
MacBook Pro 15" (2016) . UA Apollo x6 + Quad . macOS Catalina . Logic Pro X . TwistedWave . FCPX . PS CC . Affinity Suite . Get Info

User avatar
G
Owner/Admin
Posts: 1983
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 16:16

Steinberg

https://www.steinberg.net/en/newsandeve ... -5225.html

https://helpcenter.steinberg.de/hc/en-u ... patibility
To Steinberg customers who are planning to update their Mac computer to Catalina right away: please continue to use macOS Mojave and earlier until further notice.

Steinberg is working through issues with Soft-eLicenser and Dorico on macOS Catalina. Due to this situation, we recommend users of Steinberg applications to remain on their current versions of macOS until further notice.

We will provide further information on compatibility with Catalina by the end of October.
MacBook Pro 15" (2016) . UA Apollo x6 + Quad . macOS Catalina . Logic Pro X . TwistedWave . FCPX . PS CC . Affinity Suite . Get Info

User avatar
G
Owner/Admin
Posts: 1983
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 16:25

Focusrite

https://support.focusrite.com/hc/en-gb/ ... -Catalina-

https://focusritepro.zendesk.com/hc/en- ... 0009507260

All current hardware and software appears to be compatible with beta versions of Catalina, but testing with the final release today is pending. Some older hardware may not be compatible. Note that the Scarlett and Midnight Plugin Suites are being discontinued, so they "cannot guarantee compatibility."
MacBook Pro 15" (2016) . UA Apollo x6 + Quad . macOS Catalina . Logic Pro X . TwistedWave . FCPX . PS CC . Affinity Suite . Get Info

User avatar
G
Owner/Admin
Posts: 1983
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 16:32

Novation

https://support.novationmusic.com/hc/en ... ina-10-15-

Similar to Focusrite above, most current hardware and software is compatible with Catalina betas, but final testing is pending. Launch Control editors, specifically, are 32-bit and will need to be updated. Automap is being discontinued.
MacBook Pro 15" (2016) . UA Apollo x6 + Quad . macOS Catalina . Logic Pro X . TwistedWave . FCPX . PS CC . Affinity Suite . Get Info

User avatar
G
Owner/Admin
Posts: 1983
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 16:36

PreSonus

https://support.presonus.com/hc/en-us/a ... Statement-
We have found changes in Catalina that affect compatibility with PreSonus hardware and software. Remain on current versions of macOS until further notice. We ask that you please wait for us to announce compatibility before updating your OS.
A detailed breakdown is available at the link above.
Studio One version 4.5.4 is required to run Studio One under 10.15
MacBook Pro 15" (2016) . UA Apollo x6 + Quad . macOS Catalina . Logic Pro X . TwistedWave . FCPX . PS CC . Affinity Suite . Get Info

User avatar
G
Owner/Admin
Posts: 1983
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 16:41

M-Audio

https://m-audio.com/kb/article/2482
Apple iOS13 was released on September 19th and macOS 10.15 Catalina is in its final stages preparing for release. M-Audio has been actively testing all current hardware and software with each beta release to guarantee our users know exactly what works before they make the jump to the new operating system.

It is important to us that our users can continue to enjoy their M-Audio hardware and software without any downtime. We encourage all of our users to remain on their current OS and iOS until a full statement announcing software compatibility is made. This page will be updated to reflect product compatibility following the release of macOS 10.15 Catalina.
MacBook Pro 15" (2016) . UA Apollo x6 + Quad . macOS Catalina . Logic Pro X . TwistedWave . FCPX . PS CC . Affinity Suite . Get Info

User avatar
G
Owner/Admin
Posts: 1983
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 16:42

Arturia

https://www.arturia.com/faq/utilization ... s-catalina
Our virtual instruments and effects are not yet compatible with macOS 10.15 Catalina.

To keep working in safe and trouble free conditions, we strongly advise to wait before updating your OS.

Thank you in advance for your understanding.
Update 7 Nov 2019

https://www.arturia.com/vcollection-update-71
READY FOR CATALINA
The 7.1 update makes all standalone instruments compatible with the new framework of macOS Catalina, so you can enjoy the best synth and keyboard recreations on any system.
MacBook Pro 15" (2016) . UA Apollo x6 + Quad . macOS Catalina . Logic Pro X . TwistedWave . FCPX . PS CC . Affinity Suite . Get Info

User avatar
G
Owner/Admin
Posts: 1983
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 16:44

Apogee

https://apogeedigital.com/blog/macos-ca ... ility-info

If needed, post password is "catalina".
Apogee is pleased to announce compatibility with the release of macOS Catalina and iOS 13.
Most current devices are compatible or compatibility is pending. See above link for a detailed breakdown.
MacBook Pro 15" (2016) . UA Apollo x6 + Quad . macOS Catalina . Logic Pro X . TwistedWave . FCPX . PS CC . Affinity Suite . Get Info

User avatar
G
Owner/Admin
Posts: 1983
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 16:49

Avid

http://avid.force.com/pkb/articles/en_U ... na-support
Pro Tools, Media Composer, Sibelius and Avid Link software products are not currently supported under macOS 10.15 Catalina.

We are working closely with Apple in order to support macOS 10.15 Catalina after it has officially been released. Please check this page or your product's specifications page regularly to obtain information on the current operating system requirements. In the meantime, we recommend you continue to use macOS Mojave and earlier until further notice.
Prepare Your Edit Systems for macOS Catalina
http://avid.force.com/pkb/articles/en_U ... S-Catalina
MacBook Pro 15" (2016) . UA Apollo x6 + Quad . macOS Catalina . Logic Pro X . TwistedWave . FCPX . PS CC . Affinity Suite . Get Info

User avatar
G
Owner/Admin
Posts: 1983
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 17:03

Ableton

https://help.ableton.com/hc/en-us/artic ... patibility
macOS 10.15 "Catalina" Compatibility
  • Live 10 is not officially compatible with Catalina. However we are currently testing a Catalina-compliant version of Live 10 on Centercode (our beta software platform).
  • Live 9 is not compatible with Catalina as it contains certain components which are no longer supported on macOS 10.15. The last officially supported version of macOS with Live 9 is macOS 10.13 (High Sierra). See our dedicated article: Live 9 is not compatible with macOS 10.15 Catalina.
MacBook Pro 15" (2016) . UA Apollo x6 + Quad . macOS Catalina . Logic Pro X . TwistedWave . FCPX . PS CC . Affinity Suite . Get Info

User avatar
G
Owner/Admin
Posts: 1983
Joined: 05 May 2003, 18:11
Twitter: glenngutierrez
Location: SF Bay Area, California
Contact:

Re: macOS Catalina compatibility

Post by G » 07 Oct 2019, 17:13

Korg

https://www.korg.com/us/news/2019/0911/
Please be advised that we are currently testing all KORG products for compliance with upcoming Mac updates including iOS 13 and MacOS Catalina, and will confirm compliance dates for each KORG product when possible.
We strongly advise against updating your Mac OS/iOS until further notice.

To date, we have found that there are products that do not work currently with these OS.
Of note, the KORG USB MIDI Driver, the standard driver for all Korg products outfitted with USB MIDI, is not currently compatible.
See the link above for a detailed breakdown. Note that the KORG Collection (standalone version) has "compatibility issues". The plugin versions, already 64-bit, may be ok.

See also: https://www.korg.com/us/support/os/
MacBook Pro 15" (2016) . UA Apollo x6 + Quad . macOS Catalina . Logic Pro X . TwistedWave . FCPX . PS CC . Affinity Suite . Get Info

Post Reply